GDB (xrefs)

Public Attributes | List of all members
debug_sym_fns_data Struct Reference

## Public Attributes
const struct sym_fns * | real_sf
struct sym_fns | debug_sf

## Detailed Description

Definition at line 40 of file symfile-debug.c.

## Member Data Documentation

## ◆ debug_sf

struct sym_fns debug_sym_fns_data::debug_sf

Definition at line 43 of file symfile-debug.c.

Referenced by install_symfile_debug_logging().

## ◆ real_sf

const struct sym_fns* debug_sym_fns_data::real_sf

Definition at line 42 of file symfile-debug.c.

Referenced by debug_qf_dump(), debug_qf_expand_all_symtabs(), debug_qf_expand_symtabs_for_function(), debug_qf_expand_symtabs_matching(), debug_qf_expand_symtabs_with_fullname(), debug_qf_find_compunit_symtab_by_address(), debug_qf_find_last_source_symtab(), debug_qf_find_pc_sect_compunit_symtab(), debug_qf_forget_cached_source_info(), debug_qf_has_symbols(), debug_qf_lookup_symbol(), debug_qf_map_matching_symbols(), debug_qf_map_symbol_filenames(), debug_qf_map_symtabs_matching_filename(), debug_qf_print_stats(), debug_qf_relocate(), debug_sym_finish(), debug_sym_get_probes(), debug_sym_init(), debug_sym_new_init(), debug_sym_offsets(), debug_sym_read(), debug_sym_read_linetable(), debug_sym_read_psymbols(), debug_sym_relocate(), install_symfile_debug_logging(), and uninstall_symfile_debug_logging().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symfile-debug.c